package org.jpublish.example;

import com.anthonyeden.lib.log.Logger;
import com.anthonyeden.lib.log.LogManager;

import org.formproc.FormData;
import org.formproc.FormElement;
import org.formproc.validation.AbstractFormValidator;
import org.formproc.validation.ValidationResult;

public class UsernameValidator extends AbstractFormValidator{

	/**	Validate the given FormData.
	
		@param formElement The FormElement
		@param formData The FormData
		@return The validation result
		@throws Exception
	*/

	public ValidationResult validate(FormElement formElement, FormData formData) throws Exception{
		log.debug("Validating " + formData.getName());
		if(formData.getValue().toString().length() > 4){
			log.debug("Value is valid.");
			return new ValidationResult(formData);
		} else {
			log.debug("Value is NOT valid.");
			return new ValidationResult(formData, formElement.getErrorMessage());
		}
	}
	
	private static final Logger log = LogManager.getLogger(UsernameValidator.class.getName());

}
